# class Tk::BLT::PlotComponent::GridLine

### Constants

GridLineID_TBL

### Public Class Methods

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 863
    def initialize(chart, keys={})
      # dummy:: not called by 'new' method

      @parent = @chart = chart
      @cpath = @chart.path
      # GridLine::GridLineID_TBL[@cpath] = self
      @chart.gridline_configure(keys) unless keys.empty?
      @path = @id = 'grid'
    end

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 847
    def self.new(chart, keys={})
      obj = nil
      GridLineID_TBL.mutex.synchronize{
        unless (obj = GridLineID_TBL[chart.path])
          (obj = self.allocate).instance_eval{
            @parent = @chart = chart
            @cpath = @chart.path
            @path = @id = 'grid'
            GridLine::GridLineID_TBL[@cpath] = self
          }
        end
      }
      chart.gridline_configure(keys) if obj && ! keys.empty?
      obj
    end

### Public Instance Methods

cget(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 884
    def cget(option)
      @chart.gridline_cget(option)
    end

cget_strict(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 887
    def cget_strict(option)
      @chart.gridline_cget_strict(option)
    end

cget_tkstring(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 881
    def cget_tkstring(option)
      @chart.gridline_cget_tkstring(option)
    end

configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 894
    def configinfo(key=nil)
      @chart.gridline_configinfo(key)
    end

configure(key, value=None) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 890
    def configure(key, value=None)
      @chart.gridline_configure(key, value)
      self
    end

current_configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 897
    def current_configinfo(key=nil)
      @chart.current_gridline_configinfo(key)
    end

id() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 873
    def id
      @id
    end

off() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 901
    def off
      @chart.gridline_off
      self
    end

on() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 905
    def on
      @chart.gridline_on
      self
    end

to_eval() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 877
    def to_eval
      @id
    end

toggle() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 909
    def toggle
      @chart.gridline_toggle
      self
    end